Activate a new Autopilot policy version
curl --request POST \
--url https://www.getsurfaced.ai/api/v1/autopilot/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policyOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedLatestVersion": 1,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy": {
"schema": "autopilot_policy.v1",
"version": 123,
"enabled": true,
"scope": {
"projectIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"routeAllowlist": [
"<string>"
],
"marketRefs": [
"<string>"
],
"topicAllowlist": [
"<string>"
],
"excludedTopics": [
"<string>"
]
},
"actions": [],
"budgets": {
"monthlyMillicents": 1,
"perPlanMillicents": 1,
"maxActionsPerWeek": 1,
"maxPagesPerWeek": 1,
"monitoringMonthlyMillicents": 1
},
"thresholds": {
"minOpportunityConfidence": 0.5,
"minExpectedImpact": 0.5,
"minQuality": 50
},
"approvals": {
"red": "explicit"
},
"cooldownDays": 1,
"killSwitch": true
}
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/autopilot/policies"
payload = {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policyOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedLatestVersion": 1,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy": {
"schema": "autopilot_policy.v1",
"version": 123,
"enabled": True,
"scope": {
"projectIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"routeAllowlist": ["<string>"],
"marketRefs": ["<string>"],
"topicAllowlist": ["<string>"],
"excludedTopics": ["<string>"]
},
"actions": [],
"budgets": {
"monthlyMillicents": 1,
"perPlanMillicents": 1,
"maxActionsPerWeek": 1,
"maxPagesPerWeek": 1,
"monitoringMonthlyMillicents": 1
},
"thresholds": {
"minOpportunityConfidence": 0.5,
"minExpectedImpact": 0.5,
"minQuality": 50
},
"approvals": { "red": "explicit" },
"cooldownDays": 1,
"killSwitch": True
}
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
policyOwnerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expectedLatestVersion: 1,
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
policy: {
schema: 'autopilot_policy.v1',
version: 123,
enabled: true,
scope: {
projectIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
routeAllowlist: ['<string>'],
marketRefs: ['<string>'],
topicAllowlist: ['<string>'],
excludedTopics: ['<string>']
},
actions: [],
budgets: {
monthlyMillicents: 1,
perPlanMillicents: 1,
maxActionsPerWeek: 1,
maxPagesPerWeek: 1,
monitoringMonthlyMillicents: 1
},
thresholds: {minOpportunityConfidence: 0.5, minExpectedImpact: 0.5, minQuality: 50},
approvals: {red: 'explicit'},
cooldownDays: 1,
killSwitch: true
}
})
};
fetch('https://www.getsurfaced.ai/api/v1/autopilot/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/autopilot/policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'policyOwnerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expectedLatestVersion' => 1,
'requestId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'policy' => [
'schema' => 'autopilot_policy.v1',
'version' => 123,
'enabled' => true,
'scope' => [
'projectIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'routeAllowlist' => [
'<string>'
],
'marketRefs' => [
'<string>'
],
'topicAllowlist' => [
'<string>'
],
'excludedTopics' => [
'<string>'
]
],
'actions' => [
],
'budgets' => [
'monthlyMillicents' => 1,
'perPlanMillicents' => 1,
'maxActionsPerWeek' => 1,
'maxPagesPerWeek' => 1,
'monitoringMonthlyMillicents' => 1
],
'thresholds' => [
'minOpportunityConfidence' => 0.5,
'minExpectedImpact' => 0.5,
'minQuality' => 50
],
'approvals' => [
'red' => 'explicit'
],
'cooldownDays' => 1,
'killSwitch' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Workspace-Id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/autopilot/policies"
payload := strings.NewReader("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policyOwnerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedLatestVersion\": 1,\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policy\": {\n \"schema\": \"autopilot_policy.v1\",\n \"version\": 123,\n \"enabled\": true,\n \"scope\": {\n \"projectIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"routeAllowlist\": [\n \"<string>\"\n ],\n \"marketRefs\": [\n \"<string>\"\n ],\n \"topicAllowlist\": [\n \"<string>\"\n ],\n \"excludedTopics\": [\n \"<string>\"\n ]\n },\n \"actions\": [],\n \"budgets\": {\n \"monthlyMillicents\": 1,\n \"perPlanMillicents\": 1,\n \"maxActionsPerWeek\": 1,\n \"maxPagesPerWeek\": 1,\n \"monitoringMonthlyMillicents\": 1\n },\n \"thresholds\": {\n \"minOpportunityConfidence\": 0.5,\n \"minExpectedImpact\": 0.5,\n \"minQuality\": 50\n },\n \"approvals\": {\n \"red\": \"explicit\"\n },\n \"cooldownDays\": 1,\n \"killSwitch\": true\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Workspace-Id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.getsurfaced.ai/api/v1/autopilot/policies")
.header("X-Workspace-Id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policyOwnerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedLatestVersion\": 1,\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policy\": {\n \"schema\": \"autopilot_policy.v1\",\n \"version\": 123,\n \"enabled\": true,\n \"scope\": {\n \"projectIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"routeAllowlist\": [\n \"<string>\"\n ],\n \"marketRefs\": [\n \"<string>\"\n ],\n \"topicAllowlist\": [\n \"<string>\"\n ],\n \"excludedTopics\": [\n \"<string>\"\n ]\n },\n \"actions\": [],\n \"budgets\": {\n \"monthlyMillicents\": 1,\n \"perPlanMillicents\": 1,\n \"maxActionsPerWeek\": 1,\n \"maxPagesPerWeek\": 1,\n \"monitoringMonthlyMillicents\": 1\n },\n \"thresholds\": {\n \"minOpportunityConfidence\": 0.5,\n \"minExpectedImpact\": 0.5,\n \"minQuality\": 50\n },\n \"approvals\": {\n \"red\": \"explicit\"\n },\n \"cooldownDays\": 1,\n \"killSwitch\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/autopilot/policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policyOwnerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedLatestVersion\": 1,\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policy\": {\n \"schema\": \"autopilot_policy.v1\",\n \"version\": 123,\n \"enabled\": true,\n \"scope\": {\n \"projectIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"routeAllowlist\": [\n \"<string>\"\n ],\n \"marketRefs\": [\n \"<string>\"\n ],\n \"topicAllowlist\": [\n \"<string>\"\n ],\n \"excludedTopics\": [\n \"<string>\"\n ]\n },\n \"actions\": [],\n \"budgets\": {\n \"monthlyMillicents\": 1,\n \"perPlanMillicents\": 1,\n \"maxActionsPerWeek\": 1,\n \"maxPagesPerWeek\": 1,\n \"monitoringMonthlyMillicents\": 1\n },\n \"thresholds\": {\n \"minOpportunityConfidence\": 0.5,\n \"minExpectedImpact\": 0.5,\n \"minQuality\": 50\n },\n \"approvals\": {\n \"red\": \"explicit\"\n },\n \"cooldownDays\": 1,\n \"killSwitch\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"active": true,
"idempotent": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Autopilot
Activate a new Autopilot policy version
deprecated
Atomically appends and activates an immutable policy version. Requires API write scope, manage_settings, and the exact workspace rollout flag. requestId is the idempotency identity: replaying the same request returns the original policy and receipt.
POST
/
autopilot
/
policies
Activate a new Autopilot policy version
curl --request POST \
--url https://www.getsurfaced.ai/api/v1/autopilot/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policyOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedLatestVersion": 1,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy": {
"schema": "autopilot_policy.v1",
"version": 123,
"enabled": true,
"scope": {
"projectIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"routeAllowlist": [
"<string>"
],
"marketRefs": [
"<string>"
],
"topicAllowlist": [
"<string>"
],
"excludedTopics": [
"<string>"
]
},
"actions": [],
"budgets": {
"monthlyMillicents": 1,
"perPlanMillicents": 1,
"maxActionsPerWeek": 1,
"maxPagesPerWeek": 1,
"monitoringMonthlyMillicents": 1
},
"thresholds": {
"minOpportunityConfidence": 0.5,
"minExpectedImpact": 0.5,
"minQuality": 50
},
"approvals": {
"red": "explicit"
},
"cooldownDays": 1,
"killSwitch": true
}
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/autopilot/policies"
payload = {
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policyOwnerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedLatestVersion": 1,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy": {
"schema": "autopilot_policy.v1",
"version": 123,
"enabled": True,
"scope": {
"projectIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"routeAllowlist": ["<string>"],
"marketRefs": ["<string>"],
"topicAllowlist": ["<string>"],
"excludedTopics": ["<string>"]
},
"actions": [],
"budgets": {
"monthlyMillicents": 1,
"perPlanMillicents": 1,
"maxActionsPerWeek": 1,
"maxPagesPerWeek": 1,
"monitoringMonthlyMillicents": 1
},
"thresholds": {
"minOpportunityConfidence": 0.5,
"minExpectedImpact": 0.5,
"minQuality": 50
},
"approvals": { "red": "explicit" },
"cooldownDays": 1,
"killSwitch": True
}
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
policyOwnerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expectedLatestVersion: 1,
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
policy: {
schema: 'autopilot_policy.v1',
version: 123,
enabled: true,
scope: {
projectIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
routeAllowlist: ['<string>'],
marketRefs: ['<string>'],
topicAllowlist: ['<string>'],
excludedTopics: ['<string>']
},
actions: [],
budgets: {
monthlyMillicents: 1,
perPlanMillicents: 1,
maxActionsPerWeek: 1,
maxPagesPerWeek: 1,
monitoringMonthlyMillicents: 1
},
thresholds: {minOpportunityConfidence: 0.5, minExpectedImpact: 0.5, minQuality: 50},
approvals: {red: 'explicit'},
cooldownDays: 1,
killSwitch: true
}
})
};
fetch('https://www.getsurfaced.ai/api/v1/autopilot/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/autopilot/policies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'policyOwnerId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expectedLatestVersion' => 1,
'requestId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'policy' => [
'schema' => 'autopilot_policy.v1',
'version' => 123,
'enabled' => true,
'scope' => [
'projectIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'routeAllowlist' => [
'<string>'
],
'marketRefs' => [
'<string>'
],
'topicAllowlist' => [
'<string>'
],
'excludedTopics' => [
'<string>'
]
],
'actions' => [
],
'budgets' => [
'monthlyMillicents' => 1,
'perPlanMillicents' => 1,
'maxActionsPerWeek' => 1,
'maxPagesPerWeek' => 1,
'monitoringMonthlyMillicents' => 1
],
'thresholds' => [
'minOpportunityConfidence' => 0.5,
'minExpectedImpact' => 0.5,
'minQuality' => 50
],
'approvals' => [
'red' => 'explicit'
],
'cooldownDays' => 1,
'killSwitch' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Workspace-Id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/autopilot/policies"
payload := strings.NewReader("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policyOwnerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedLatestVersion\": 1,\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policy\": {\n \"schema\": \"autopilot_policy.v1\",\n \"version\": 123,\n \"enabled\": true,\n \"scope\": {\n \"projectIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"routeAllowlist\": [\n \"<string>\"\n ],\n \"marketRefs\": [\n \"<string>\"\n ],\n \"topicAllowlist\": [\n \"<string>\"\n ],\n \"excludedTopics\": [\n \"<string>\"\n ]\n },\n \"actions\": [],\n \"budgets\": {\n \"monthlyMillicents\": 1,\n \"perPlanMillicents\": 1,\n \"maxActionsPerWeek\": 1,\n \"maxPagesPerWeek\": 1,\n \"monitoringMonthlyMillicents\": 1\n },\n \"thresholds\": {\n \"minOpportunityConfidence\": 0.5,\n \"minExpectedImpact\": 0.5,\n \"minQuality\": 50\n },\n \"approvals\": {\n \"red\": \"explicit\"\n },\n \"cooldownDays\": 1,\n \"killSwitch\": true\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Workspace-Id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.getsurfaced.ai/api/v1/autopilot/policies")
.header("X-Workspace-Id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policyOwnerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedLatestVersion\": 1,\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policy\": {\n \"schema\": \"autopilot_policy.v1\",\n \"version\": 123,\n \"enabled\": true,\n \"scope\": {\n \"projectIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"routeAllowlist\": [\n \"<string>\"\n ],\n \"marketRefs\": [\n \"<string>\"\n ],\n \"topicAllowlist\": [\n \"<string>\"\n ],\n \"excludedTopics\": [\n \"<string>\"\n ]\n },\n \"actions\": [],\n \"budgets\": {\n \"monthlyMillicents\": 1,\n \"perPlanMillicents\": 1,\n \"maxActionsPerWeek\": 1,\n \"maxPagesPerWeek\": 1,\n \"monitoringMonthlyMillicents\": 1\n },\n \"thresholds\": {\n \"minOpportunityConfidence\": 0.5,\n \"minExpectedImpact\": 0.5,\n \"minQuality\": 50\n },\n \"approvals\": {\n \"red\": \"explicit\"\n },\n \"cooldownDays\": 1,\n \"killSwitch\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/autopilot/policies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policyOwnerId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedLatestVersion\": 1,\n \"requestId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"policy\": {\n \"schema\": \"autopilot_policy.v1\",\n \"version\": 123,\n \"enabled\": true,\n \"scope\": {\n \"projectIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"routeAllowlist\": [\n \"<string>\"\n ],\n \"marketRefs\": [\n \"<string>\"\n ],\n \"topicAllowlist\": [\n \"<string>\"\n ],\n \"excludedTopics\": [\n \"<string>\"\n ]\n },\n \"actions\": [],\n \"budgets\": {\n \"monthlyMillicents\": 1,\n \"perPlanMillicents\": 1,\n \"maxActionsPerWeek\": 1,\n \"maxPagesPerWeek\": 1,\n \"monitoringMonthlyMillicents\": 1\n },\n \"thresholds\": {\n \"minOpportunityConfidence\": 0.5,\n \"minExpectedImpact\": 0.5,\n \"minQuality\": 50\n },\n \"approvals\": {\n \"red\": \"explicit\"\n },\n \"cooldownDays\": 1,\n \"killSwitch\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"policyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receiptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"active": true,
"idempotent": true
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Authorizations
API key (sk_live_...) created at https://www.getsurfaced.ai/app/settings/account/api-keys
Headers
Body
application/json